RTEMS: m360_ Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
m360_ Struct Reference

## Data Fields
unsigned char | dpram0 [0x400]
unsigned char | dpram1 [0x200]
unsigned char | dpram2 [0x100]
unsigned char | dpram3 [0x100]
unsigned char | _rsv0 [0xC00-0x800]
m360SCCENparms_t | scc1p
unsigned char | _rsv1 [0xCB0-0xC00-sizeof(m360SCCENparms_t)]
m360MiscParms_t | miscp
unsigned char | _rsv2 [0xD00-0xCB0-sizeof(m360MiscParms_t)]
m360SCCparms_t | scc2p
unsigned char | _rsv3 [0xD80-0xD00-sizeof(m360SCCparms_t)]
m360SPIparms_t | spip
unsigned char | _rsv4 [0xDB0-0xD80-sizeof(m360SPIparms_t)]
m360TimerParms_t | tmp
unsigned char | _rsv5 [0xE00-0xDB0-sizeof(m360TimerParms_t)]
m360SCCparms_t | scc3p
unsigned char | _rsv6 [0xE70-0xE00-sizeof(m360SCCparms_t)]
m360IDMAparms_t | idma1p
unsigned char | _rsv7 [0xE80-0xE70-sizeof(m360IDMAparms_t)]
m360SMCparms_t | smc1p
unsigned char | _rsv8 [0xF00-0xE80-sizeof(m360SMCparms_t)]
m360SCCparms_t | scc4p
unsigned char | _rsv9 [0xF70-0xF00-sizeof(m360SCCparms_t)]
m360IDMAparms_t | idma2p
unsigned char | _rsv10 [0xF80-0xF70-sizeof(m360IDMAparms_t)]
m360SMCparms_t | smc2p
unsigned char | _rsv11 [0x1000-0xF80-sizeof(m360SMCparms_t)]
unsigned long | mcr
unsigned long | _pad00
unsigned char | avr
unsigned char | rsr
unsigned short | _pad01
unsigned char | clkocr
unsigned char | _pad02
unsigned short | _pad03
unsigned short | pllcr
unsigned short | _pad04
unsigned short | cdvcr
unsigned short | pepar
unsigned long | _pad05 [2]
unsigned short | _pad06
unsigned char | sypcr
unsigned char | swiv
unsigned short | _pad07
unsigned short | picr
unsigned short | _pad08
unsigned short | pitr
unsigned short | _pad09
unsigned char | _pad10
unsigned char | swsr
unsigned long | bkar
unsigned long | bcar
unsigned long | _pad11 [2]
unsigned long | gmr
unsigned short | mstat
unsigned short | _pad12
unsigned long | _pad13 [2]
m360MEMCRegisters_t | memc [8]
unsigned char | _pad14 [0xF0-0xD0]
unsigned char | _pad15 [0x100-0xF0]
unsigned char | _pad16 [0x500-0x100]
unsigned short | iccr
unsigned short | _pad17
unsigned short | cmr1
unsigned short | _pad18
unsigned long | sapr1
unsigned long | dapr1
unsigned long | bcr1
unsigned char | fcr1
unsigned char | _pad19
unsigned char | cmar1
unsigned char | _pad20
unsigned char | csr1
unsigned char | _pad21
unsigned short | _pad22
unsigned char | sdsr
unsigned char | _pad23
unsigned short | sdcr
unsigned long | sdar
unsigned short | _pad24
unsigned short | cmr2
unsigned long | sapr2
unsigned long | dapr2
unsigned long | bcr2
unsigned char | fcr2
unsigned char | _pad26
unsigned char | cmar2
unsigned char | _pad27
unsigned char | csr2
unsigned char | _pad28
unsigned short | _pad29
unsigned long | _pad30
unsigned long | cicr
unsigned long | cipr
unsigned long | cimr
unsigned long | cisr
unsigned short | padir
unsigned short | papar
unsigned short | paodr
unsigned short | padat
unsigned long | _pad31 [2]
unsigned short | pcdir
unsigned short | pcpar
unsigned short | pcso
unsigned short | pcdat
unsigned short | pcint
unsigned short | _pad32
unsigned long | _pad33 [5]
unsigned short | tgcr
unsigned short | _pad34
unsigned long | _pad35 [3]
unsigned short | tmr1
unsigned short | tmr2
unsigned short | trr1
unsigned short | trr2
unsigned short | tcr1
unsigned short | tcr2
unsigned short | tcn1
unsigned short | tcn2
unsigned short | tmr3
unsigned short | tmr4
unsigned short | trr3
unsigned short | trr4
unsigned short | tcr3
unsigned short | tcr4
unsigned short | tcn3
unsigned short | tcn4
unsigned short | ter1
unsigned short | ter2
unsigned short | ter3
unsigned short | ter4
unsigned long | _pad36 [2]
unsigned short | cr
unsigned short | _pad37
unsigned short | rccr
unsigned short | _pad38
unsigned long | _pad39 [3]
unsigned short | _pad40
unsigned short | rter
unsigned short | _pad41
unsigned short | rtmr
unsigned long | _pad42 [5]
unsigned long | brgc1
unsigned long | brgc2
unsigned long | brgc3
unsigned long | brgc4
m360SCCRegisters_t | scc1
m360SCCRegisters_t | scc2
m360SCCRegisters_t | scc3
m360SCCRegisters_t | scc4
m360SMCRegisters_t | smc1
m360SMCRegisters_t | smc2
unsigned short | spmode
unsigned short | _pad43 [2]
unsigned char | spie
unsigned char | _pad44
unsigned short | _pad45
unsigned char | spim
unsigned char | _pad46 [2]
unsigned char | spcom
unsigned short | _pad47 [2]
unsigned short | pipc
unsigned short | _pad48
unsigned short | ptpr
unsigned long | pbdir
unsigned long | pbpar
unsigned short | _pad49
unsigned short | pbodr
unsigned long | pbdat
unsigned long | _pad50 [6]
unsigned long | simode
unsigned char | sigmr
unsigned char | _pad51
unsigned char | sistr
unsigned char | sicmr
unsigned long | _pad52
unsigned long | sicr
unsigned short | _pad53
unsigned short | sirp [2]
unsigned short | _pad54
unsigned long | _pad55 [2]
unsigned char | siram [256]

The documentation for this struct was generated from the following file:

- cpukit/score/cpu/m68k/include/rtems/m68k/m68360.h